# Automatically generated by perl-Sys-Virt-TCK.spec.PL

%define perlvendorlib %(perl -e 'use Config; print $Config{installvendorlib}')
%define perlvendorprefix %(perl -e 'use Config; print $Config{vendorprefix}')
%define perlvendorman1 %{perlvendorprefix}/share/man/man1
%define perlvendorman3 %{perlvendorprefix}/share/man/man3

%define appname Sys-Virt-TCK

Summary: Sys::Virt::TCK - libvirt Technology Compatibility Kit
Name: perl-%{appname}
Version: 1.1.0
Release: %mkrel 4
License: GPLv2 or Artistic
Group: Development/Perl
Source: https://libvirt.org/sources/tck/%{appname}-v%{version}.tar.gz
Patch3: %{appname}-0.1.0-i686-pae-kernels.patch
Url: https://libvirt.org/
Requires:  perl
BuildRequires: perl
BuildRequires: perl(App::Prove)
BuildRequires: perl(Config::Record)
BuildRequires: perl(Cwd)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(IO::String)
BuildRequires: perl(IO::Uncompress::Gunzip)
BuildRequires: perl(IO::Uncompress::Bunzip2)
BuildRequires: perl(Module::Build)
BuildRequires: perl(TAP::Formatter::HTML)
BuildRequires: perl(TAP::Harness)
BuildRequires: perl(TAP::Harness::Archive)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(Sub::Uplevel)
BuildRequires: perl(Sys::Virt) >= 0.2.1
BuildRequires: perl(XML::Twig)
BuildRequires: perl(XML::Writer)
BuildRequires: perl(XML::XPath)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
Requires: perl(Test::Exception)
Requires: perl(TAP::Formatter::HTML)
Requires: perl(TAP::Harness::Archive)
Requires: perl(Sys::Virt) >= 0.2.1
BuildArchitectures: noarch

%description
Sys::Virt::TCK provides an integration test suite for validating
correct operation of libvirt drivers with underlying virtualization
technology.

%prep
%setup -q -n %{appname}-v%{version}
%autopatch -p1

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0 \
  --install_path conf=%{_sysconfdir}/libvirt-tck \
  --install_path pkgdata=%{_datadir}/libvirt-tck/tests

find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%__install -m 0755 -d $RPM_BUILD_ROOT%{_localstatedir}/cache/libvirt-tck

%files
#%doc AUTHORS
%doc LICENSE
%doc README
#%doc INSTALL
%dir %{_sysconfdir}/libvirt-tck
%config(noreplace) %{_sysconfdir}/libvirt-tck/default.cfg
%{_bindir}/libvirt-tck
%dir %{_datadir}/libvirt-tck
%{_datadir}/libvirt-tck/*
%{perlvendorman1}/*
#%%{perlvendorman3}/*
%{perlvendorlib}/Sys/Virt/TCK.pm
%{perlvendorlib}/Sys/Virt/TCK/
%dir %{_localstatedir}/cache/libvirt-tck


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.1.0-4.mga10
+ Revision: 2205589
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.1.0-3.mga9
+ Revision: 1811617
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1525460
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 shlomif <shlomif> 1.1.0-1.mga7
+ Revision: 1392576
- New version 1.1.0

* Wed Sep 19 2018 umeabot <umeabot> 0.1.0-16.mga7
+ Revision: 1271429
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.1.0-15.mga6
+ Revision: 1033632
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.1.0-14.mga6
+ Revision: 936164
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-13.mga5
+ Revision: 746464
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.0-12.mga5
+ Revision: 686298
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 0.1.0-11.mga5
+ Revision: 633976
- perl 5.20 rebuild

* Thu Mar 20 2014 jquelin <jquelin> 0.1.0-10.mga5
+ Revision: 606110
- perl 5.18.2 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1.0-9.mga4
+ Revision: 525752
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 jquelin <jquelin> 0.1.0-8.mga4
+ Revision: 434511
- perl 5.18.0 rebuild

* Mon Mar 18 2013 jquelin <jquelin> 0.1.0-7.mga3
+ Revision: 403830
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.0-6.mga3
+ Revision: 373004
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.1.0-5.mga3
+ Revision: 315054
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 0.1.0-4.mga3
+ Revision: 283583
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 0.1.0-3.mga3
+ Revision: 254313
- rebuild to fix new shebang with perl 5.16

* Tue Mar 29 2011 alien <alien> 0.1.0-2.mga1
+ Revision: 78947
- Remove obsolete and wrong requires

* Tue Mar 15 2011 saispo <saispo> 0.1.0-1.mga1
+ Revision: 72224
- Fix macro
- Fix Requires and BuildRequires
- imported package perl-Sys-Virt-TCK

